Subject: Re: bug#15839: 24.3.50; `isearch-allow-scroll': be able to scroll point off screen temporarily

From: Juri Linkov <[email-masked]>
Date: Sun, 09 Dec 2018 01:38:10 +0200

>> I'm still not sure if this needed to be generalized more, and how far.
>> For example, I think that shift-left and shift-right
>> from org-mode should exit Isearch as well as windmove shift-keys
>> should exit Isearch and move focus to another window.
>
> This isearch-yank-on-move -> 'shift thing is a difficult matter.  I'm
> not sure any more if it's a good idea.  It's confusing if I get a
> different behavior depending on the current major mode.  As a user I
> would rather expect that the rule would be that Isearch would test any
> shift binding to see what the binding without shift is doing, and invoke
> that if it is a moving command.

This is what this-command-keys-shift-translated was intended to do
together with ^ in interactive spec.